TakenAt: 2024-07-13T14:07:47Z
TakenAtLocal: 2024-07-13T15:07:47Z
TakenSrc: meta
UID: pt67y7bmy2smvqix
Type: image
Title: Good Manners Day Nursery / Portsmouth / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 7
Lat: 50.817458333333335
Lng: -1.0763222222222222
Year: 2024
Month: 7
Day: 13
ISO: 80
Exposure: 1/1185
FNumber: 1.78
FocalLength: 48
Quality: 4
Details:
  Keywords: avenue, brown, day, england, good, manners, north-end, nursery, portsmouth,
    recents, stubbington, united-kingdom
  Software: 17.5.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T07:01:59Z
UpdatedAt: 2025-11-24T09:41:47Z
